<template>
  <div class="">
    <div>
      <el-button @click="goBack">返回</el-button>
    </div>
    <video
      :src="videoUrl"
      :poster="posterUrl"
      controls
      width="100%"
      height="100%"
      @loadedmetadata="handleLoadedMetadata"
    ></video>
  </div>
</template>

<script>
export default {
  name: "",
  props: {},
  components: {},
  data() {
    return {
      videoUrl: null,
      posterUrl: null,
    };
  },
  computed: {},
  watch: {},
  created() {
    //从URL获取视频地址
    this.videoUrl = this.$route.query.videoUrl;
  },
  mounted() {},
  methods: {
    handleLoadedMetadata() {},
    goBack() {
      this.$router.go(-1);
    },
  },
};
</script>

<style scoped lang="scss"></style>
